#!/bin/bash


#        rlAssertRpm $PACKAGE-debuginfo
#        rlAssertRpm systemtap
#        rlAssertRpm kernel-devel

set -xu

FS="/"
JAVAC=${TESTJAVA}${FS}bin${FS}javac
JAVA=${TESTJAVA}${FS}bin${FS}java

if [ -z "${TESTSRC:-}" ] ; then
    TESTSRC=.
fi

$JAVAC -d . $TESTSRC/Hello.java
R=$?
if [[ $R -ne 0 ]] ; then
  echo "Compilation1 failed"
  exit $R
fi

$JAVA -cp . Hello  &> log1
R=$?
cat log1

if [[ $R -ne 0 ]] ; then
  echo "basic run failed"
  exit $R
fi
       
sudo stap -v -e 'probe hotspot.jni.GetStringUTFChars { log(probestr); print_jstack_full(); log(" === "); }' -c "$JAVA Hello" 2>&1 | c++filt | tee stap.log
R=$?
cat stap.log

if [[ $R -ne 0 ]] ; then
  echo "stap run failed"
  exit $R
fi


grep  'Hello World' stap.log
R=$?
if [[ $R -ne 0 ]] ; then
  echo "stap run wrong output"
  exit $R
fi
grep  'ERROR:' stap.log
R=$?
if [[ $R -eq 0 ]] ; then
  echo "stap run  contained error"
  exit $R
fi


